de.esprit.netsuite.transl

## Enum TrEnsField

- java.lang.Object
- - java.lang.Enum<TrEnsField>
  - - de.esprit.netsuite.transl.TrEnsField

- All Implemented Interfaces:
    NlsDatabaseKey, NlsKey, java.io.Serializable, java.lang.Comparable<TrEnsField>

      public enum TrEnsField
      extends java.lang.Enum<TrEnsField>
      implements NlsDatabaseKey

  Translations for input fields
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABO$CLASS_NAME`
    `ABO$CONDITION`
    `ABO$FETCH_WITH_LOCK`
    `ABO$PK_VALUES`
    `CHOOSE_CLIENT`
    `CLIENT_MESSAGE`
    `DBO_CLASS_NAME`
    `FILE_INPUT`
    `GROUP$COMMENT`
    `GROUP$DISPLAY_NAME`
    `GROUP$GROUP_ID`
    `GROUP$GROUP_NAME`
    `LOG_DIRS`
    `LOG_LEVEL`
    `LOG_MAXFILES`
    `LOG_MAXLINES`
    `LOG_SEND`
    `LOGIN$PASSWORD`
    `LOGIN$USERNAME`
    `PASSWD_NEW_PASSWORD1`
    `PASSWD_NEW_PASSWORD2`
    `PASSWD_OLD_PASSWORD`
    `PASSWD_USER_NAME`
    `PROCESS_ARGS`
    `PROCESS_COMMAND`
    `SRVPROC$EMAIL_ON_ERROR`
    `SRVPROC$ENABLED_TO_RUN`
    `SRVPROC$LOG_HISTORY`
    `SRVPROC$REPEAT_DELAY`
    `SRVPROC$START_TIME`
    `TANK$ACCESS_TS`
    `TANK$ACCESS_UID`
    `TANK$FLUID`
    `TANK$LEVEL`
    `TANK$MAX_LEVEL`
    `TANK$TANK_ID`
    `USER$CHANGED`
    `USER$COMMENT`
    `USER$CREATED`
    `USER$EMAIL_ADDR`
    `USER$FORENAME`
    `USER$IS_ADMIN`
    `USER$IS_LOCKED`
    `USER$LANGUAGE`
    `USER$LASTNAME`
    `USER$LOGIN_NAME`
    `USER$USER_ID`
    `USER$USER_TYPE`
    `WEB_URL`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.String fullColumnName)` Ensures that this instance can directly be compared with a table.column name
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getColumnName()`
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getTableName()`
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `static TrEnsField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### WEB_URL

          public static final TrEnsField WEB_URL

    - #### PASSWD_USER_NAME

          public static final TrEnsField PASSWD_USER_NAME

    - #### PASSWD_OLD_PASSWORD

          public static final TrEnsField PASSWD_OLD_PASSWORD

    - #### PASSWD_NEW_PASSWORD1

          public static final TrEnsField PASSWD_NEW_PASSWORD1

    - #### PASSWD_NEW_PASSWORD2

          public static final TrEnsField PASSWD_NEW_PASSWORD2

    - #### CHOOSE_CLIENT

          public static final TrEnsField CHOOSE_CLIENT

    - #### CLIENT_MESSAGE

          public static final TrEnsField CLIENT_MESSAGE

    - #### DBO_CLASS_NAME

          public static final TrEnsField DBO_CLASS_NAME

    - #### USER$LOGIN_NAME

          public static final TrEnsField USER$LOGIN_NAME

    - #### USER$FORENAME

          public static final TrEnsField USER$FORENAME

    - #### USER$LASTNAME

          public static final TrEnsField USER$LASTNAME

    - #### USER$LANGUAGE

          public static final TrEnsField USER$LANGUAGE

    - #### USER$EMAIL_ADDR

          public static final TrEnsField USER$EMAIL_ADDR

    - #### USER$COMMENT

          public static final TrEnsField USER$COMMENT

    - #### USER$IS_ADMIN

          public static final TrEnsField USER$IS_ADMIN

    - #### USER$IS_LOCKED

          public static final TrEnsField USER$IS_LOCKED

    - #### USER$USER_TYPE

          public static final TrEnsField USER$USER_TYPE

    - #### USER$USER_ID

          public static final TrEnsField USER$USER_ID

    - #### USER$CREATED

          public static final TrEnsField USER$CREATED

    - #### USER$CHANGED

          public static final TrEnsField USER$CHANGED

    - #### GROUP$GROUP_ID

          public static final TrEnsField GROUP$GROUP_ID

    - #### GROUP$GROUP_NAME

          public static final TrEnsField GROUP$GROUP_NAME

    - #### GROUP$DISPLAY_NAME

          public static final TrEnsField GROUP$DISPLAY_NAME

    - #### GROUP$COMMENT

          public static final TrEnsField GROUP$COMMENT

    - #### ABO$CLASS_NAME

          public static final TrEnsField ABO$CLASS_NAME

    - #### ABO$PK_VALUES

          public static final TrEnsField ABO$PK_VALUES

    - #### ABO$CONDITION

          public static final TrEnsField ABO$CONDITION

    - #### ABO$FETCH_WITH_LOCK

          public static final TrEnsField ABO$FETCH_WITH_LOCK

    - #### LOG_DIRS

          public static final TrEnsField LOG_DIRS

    - #### LOG_LEVEL

          public static final TrEnsField LOG_LEVEL

    - #### LOG_SEND

          public static final TrEnsField LOG_SEND

    - #### LOG_MAXLINES

          public static final TrEnsField LOG_MAXLINES

    - #### LOG_MAXFILES

          public static final TrEnsField LOG_MAXFILES

    - #### TANK$TANK_ID

          public static final TrEnsField TANK$TANK_ID

    - #### TANK$ACCESS_UID

          public static final TrEnsField TANK$ACCESS_UID

    - #### TANK$ACCESS_TS

          public static final TrEnsField TANK$ACCESS_TS

    - #### TANK$MAX_LEVEL

          public static final TrEnsField TANK$MAX_LEVEL

    - #### TANK$LEVEL

          public static final TrEnsField TANK$LEVEL

    - #### TANK$FLUID

          public static final TrEnsField TANK$FLUID

    - #### SRVPROC$START_TIME

          public static final TrEnsField SRVPROC$START_TIME

    - #### SRVPROC$REPEAT_DELAY

          public static final TrEnsField SRVPROC$REPEAT_DELAY

    - #### SRVPROC$ENABLED_TO_RUN

          public static final TrEnsField SRVPROC$ENABLED_TO_RUN

    - #### SRVPROC$EMAIL_ON_ERROR

          public static final TrEnsField SRVPROC$EMAIL_ON_ERROR

    - #### SRVPROC$LOG_HISTORY

          public static final TrEnsField SRVPROC$LOG_HISTORY

    - #### PROCESS_COMMAND

          public static final TrEnsField PROCESS_COMMAND

    - #### PROCESS_ARGS

          public static final TrEnsField PROCESS_ARGS

    - #### FILE_INPUT

          public static final TrEnsField FILE_INPUT

    - #### LOGIN$USERNAME

          public static final TrEnsField LOGIN$USERNAME

    - #### LOGIN$PASSWORD

          public static final TrEnsField LOGIN$PASSWORD

  - ### Method Detail

    - #### values

          public static TrEnsField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsField c : TrEnsField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsField valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getTipText

          public java.lang.String getTipText()

      Specified by:
        `getTipText` in interface `NlsDatabaseKey`

    - #### getTableName

          public java.lang.String getTableName()

      Specified by:
        `getTableName` in interface `NlsDatabaseKey`

    - #### getColumnName

          public java.lang.String getColumnName()

      Specified by:
        `getColumnName` in interface `NlsDatabaseKey`

    - #### getFullName

          public java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `NlsDatabaseKey`

    - #### equals

          public boolean equals(java.lang.String fullColumnName)

      Description copied from interface: `NlsDatabaseKey`
      Ensures that this instance can directly be compared with a table.column name
      Specified by:
        `equals` in interface `NlsDatabaseKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.